/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.diagram;

/**
 * 连接线
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
public interface Edge extends Item
{
  /**
   * 获取目的地（到哪里去）
   *
   * @return 目的地（到哪里去）
   */
  String getTarget();

  /**
   * 设置目的地（到哪里去）
   *
   * @param target 目的地（到哪里去）
   */
  void setTarget(String target);

  /**
   * 设置来源（从哪里来）
   *
   * @return 来源（从哪里来）
   */
  String getSource();

  /**
   * 设置来源（从哪里来）
   *
   * @param source 来源（从哪里来）
   */
  void getSource(String source);
}
